Bug 72397 - LibreOffice does not launch because "Enable JRE" dialog displayed repeatedly (win only)
Summary: LibreOffice does not launch because "Enable JRE" dialog displayed repeatedly ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta2
Hardware: x86 (IA32) Windows (All)
: high blocker
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: NeedsWindows NeedsJavaUninstalled Co...
Keywords: regression
: 73471 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-12-06 14:21 UTC by Akira Matsumiya
Modified: 2014-01-24 09:52 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments
error message in dialog (52.61 KB, image/png)
2013-12-08 11:55 UTC, Akira Matsumiya
Details
Screenshot AdvancedOptions.png (12.91 KB, image/png)
2014-01-12 07:43 UTC, pierre-yves samyn
Details
Screenshot ActivateJRE.png (6.06 KB, image/png)
2014-01-12 07:43 UTC, pierre-yves samyn
Details
Windbg_LoadJRE.txt (2.52 KB, text/plain)
2014-01-13 10:47 UTC, pierre-yves samyn
Details
clip of Process Explorer when JRE error hangs (502.13 KB, image/png)
2014-01-13 16:05 UTC, V Stuart Foote
Details
WinDbg output data (21.58 KB, text/plain)
2014-01-15 11:30 UTC, Akira Matsumiya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Akira Matsumiya 2013-12-06 14:21:02 UTC
Reproduce environment:
OS:Windows 8(locale:Japanese)
LibO_Version :4.2.0 beta2
Java:not install

Steps to Reproduce:
1.LibreOffice install
2.LibreOffice launch
3."Enable JRE" dialog display
4.[OK] button click
5."Enable JRE" dialog display again
6.step4 to step5 endless

Is Java(JRE) required for use of LibreOffice?
Display of the dialog that is repeated or not a bug?

It may be similar to https://bugs.freedesktop.org/show_bug.cgi?id=34809

thanks.
Comment 1 Jacques Guilleron 2013-12-06 16:55:10 UTC
Hello Akira,

Yes, JRE is required for LibreOffice. You ca
Comment 2 Robinson Tryon (qubit) 2013-12-07 02:40:36 UTC
Need someone w/windows to confirm this.

Akira - can you reproduce this problem with 4.1 (or earlier) builds?

Thanks!
Comment 3 Akira Matsumiya 2013-12-07 04:48:39 UTC
Hi Qubit.

Thank you for your reply.

I tested that install LibreOffice 4.1.3 on Windows 8 PC.
No problem when launch LibreOffice 4.1.3.
Error dialog doesn't display.
This version works fine.

But LibreOffice 4.2.0 beta2 has problem on same PC.
Comment 4 Robinson Tryon (qubit) 2013-12-07 05:01:54 UTC
(In reply to comment #3)
> I tested that install LibreOffice 4.1.3 on Windows 8 PC.
> No problem when launch LibreOffice 4.1.3.
> Error dialog doesn't display.
> This version works fine.

Marking as a regression.


Joren - Please test on Windows
Comment 5 Jacques Guilleron 2013-12-07 15:11:28 UTC
Hi Akira,

Sorry. My previous post was not correctly sent.
You have a JRE.
Launch LibreOffice 4.2.
Go to Options > LibreOfficeDev > Advanced
Verify in Java Options that Use a Java environment is checked and 
window below is correctly populated with Provider, Version and radio button on.
Once verified, try to open a database.
Does it work for you ?

Kind regards,

Jacques
Comment 6 Robinson Tryon (qubit) 2013-12-08 06:12:43 UTC
(In reply to comment #0)
> Reproduce environment:
> OS:Windows 8(locale:Japanese)
> LibO_Version :4.2.0 beta2
> Java:not install

Ah, okay. Tagging 'NeedsJavaUninstalled' (per repro steps)
Comment 7 Jean-Baptiste Faure 2013-12-08 10:55:31 UTC
Please, could you attach a screencopy of the error message?
You should check if you have some extension requiring Java in your LibreOffice installation. For example Mediawiki or LanguageTool extensions.

Best regards. JBF
Comment 8 Akira Matsumiya 2013-12-08 11:55:54 UTC
Created attachment 90452 [details]
error message in dialog
Comment 9 Akira Matsumiya 2013-12-08 11:59:14 UTC
I attached screencopy of error message.
I am sorry that daialog title wrong.
Dialog title is "Java required".

I do not have extension.

I tried next step.

1. LibreOffice4.2.0 beta2 uninstall.
2. Folder "C:\Program Files (x86)\LibreOfficeDev 4" delete.
3. Folder "C:\Users\<username>\AppData\Roaming\LibreOfficeDev delete.
4. LibreOffice4.2.0 beta2 install.
5. Launch LibreOfficeDev 4.2
6. Error dialog display.

I use Windows 8 64bit.

Best regards. Akira
Comment 10 Akira Matsumiya 2013-12-08 12:14:28 UTC
(In reply to comment #5)

Hi Jacques.

Thank you your kindly reply.

Yes,I understand how to Java or JRE on LibreOffice.
I am using Java usually.:)

This time, I made for the test environment without Java.
Then, I encounters a this bug.

http://www.libreoffice.org/download/system-requirements/
"For certain features of the software - but not most - Java is required. Java is notably required for Base." are written.

So,I thought bug.

Thanks.
Comment 11 Jean-Baptiste Faure 2013-12-08 14:51:31 UTC
Thank you for the screencopy. The error message says "...this task". That means LibreOffice starts some task which requires Java. It is the same message I got from Wiki-Publisher extension in bug 71179.

I am sorry to insist about extensions but LibreOffice comes with several extensions installed by default. So you should check what shows extensions manager : menu Tools > Extensions manager.

Best regards. JBF
Comment 12 Akira Matsumiya 2013-12-09 13:29:26 UTC
I checked what shows extensions manager after install JRE x86.

I show 3 Extention on LibreOfficeDev 4.2
1. English spelling dictionaries,hyphenation rules,...
2. Solver for Nonlinear Programming
3. Wiki Publisher

I checked what shows extentions manager on LibreOffice 4.1.

I show 4 Extention.
The Extention of the above three plus Presentation minimizer.

Best regards. Akira
Comment 13 Jean-Baptiste Faure 2013-12-10 05:32:12 UTC
Ok, so I suggest you to remove Wiki-Publisher extension and try again.
To do that launch the LibreOffice installer in modification/reparation mode and uncheck wiki-publisher. On restart of LibreOffice, if you still see wiki-publisher in the extension manager, you should try to remove from there or try to start LibreOffice from a fresh user profile. See https://wiki.documentfoundation.org/Faq/General/110

Doing that will show if we have for MS-Windows-8 the same bug as bug 71179 for Linux.

Best regards. JBF
Comment 14 Akira Matsumiya 2013-12-11 12:24:54 UTC
Hi JBF, Thank you your advice.

I tried that next step.

1. Remove JRE
2. Remove LibreOfficeDev 4.2 beta2
3. Delete user profile
4. LibreOfficeDev 4.2 beta2 install again
5. Select custom in installer
6. uncheck Wiki-Publisher
7. Install is Finish
8. Launch LibreOfficeDev 4.2 beta2

Result is that same dialog showed endless.
LibreOfficeDev 4.2 beta2 dosen't launch.

I did the following for confirmation.
1. JRE install again
2. LibreOfficeDev 4.2 beta2 Launch
3. tool->Extention manager

There was not in the list Wiki-Pubulisher.

Is this bug same bug as bug 71179 ?

Best regards. Akira
Comment 15 Jean-Baptiste Faure 2013-12-11 19:28:56 UTC
Thank you for the informations. Set status back to unconfirmed.
No more idea for the moment.

Best regards. JBF
Comment 16 Lars Knickrehm 2013-12-23 11:59:17 UTC
Same here with LibreOffice 4.2.0 RC1: Using Windows 8 64bit, latest Java installed, but I'm not sure if JRE was enabled in the configuration dialog of LibreOffice 4.1.x before installing RC1 on top of it.

There seem to be no more way to start LibreOffice. Removing the "MediaWiki-Publisher" extension didn't help.
Comment 17 Lars Knickrehm 2013-12-23 12:09:09 UTC
Sorry, had 4.0.x installed before - don't know if that matters...
Comment 18 retired 2014-01-01 10:28:20 UTC
Foss is going Win8 :P

I setup win8 in a VM tried to install LO 4.2.0.1 and get an infinite loop of "Enable JRE". Yey, I really missed all those colorful windows messages in the past years of my life.

Setting to NEW and raising importance.

Infinite loop of errors is not a nice UX right after deciding to go OpenSource and installing LO.

Confirmed:4.2.0.1:Win8
Comment 19 retired 2014-01-10 11:52:10 UTC
*** Bug 73471 has been marked as a duplicate of this bug. ***
Comment 20 Stephan Bergmann 2014-01-10 14:56:34 UTC
would be great if somebody can provide a backtrace of the main thread displaying the "Enable JRE" dialog, see <https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#Windows:_How_to_get_a_backtrace>
Comment 21 Julien Nabet 2014-01-10 23:42:49 UTC
bfoman: would you have some time to give it a try? A bt could be very useful here.
Comment 22 bfoman (inactive) 2014-01-11 11:14:51 UTC
(In reply to comment #21)
> bfoman: would you have some time to give it a try? A bt could be very useful
> here.

Checked with:
Version: 4.2.0.1
Build ID: 7bf567613a536ded11709b952950c9e8f7181a4a
Windows 8.1 Enterprise Preview 64 bit

Version: 4.2.0.2
Build ID: cd65d6220c5694ee7012d7863bcde3455c9e3c30
Windows 8.1 Enterprise Preview 64 bit

No Java installed ever, clean profile - could not reproduce. The error message is not displayed when LO is launched.
Those who can reproduce should maybe run WinDbg or ProcessMonitor tool from Sysinternals and attach a log. PM can be configured to use LO's symbols.
Comment 23 Julien Nabet 2014-01-11 12:31:15 UTC
Thank you for your detailed feedback bfoman.
Comment 24 pierre-yves samyn 2014-01-12 07:42:18 UTC
Hello

I reproduce on windows 7/64 with:
- Version: 4.2.0.0.beta1
  Build ID: f4ca7b35f580827ad2c69ea6d29f7c9b48ebbac7
- Version: 4.2.0.2
  Build ID: cd65d6220c5694ee7012d7863bcde3455c9e3c30

I reproduced with a minimum install:
- No optional component 
- Only one dictionary installed (English or French dictionary)
- No extension

Steps to reproduce:

1. Uninstall of previous versions
2. Delete user profile (C:\Users\Pierre-Yves\AppData\Roaming\LibreOffice)
3. Ccleaner : registry cleaning
4. Custom install of LibreOffice
5. Launch LibreOffice
6. Tools> Options> LibreOffice> Advanced, Java options : uncheck "Use JRE"
  (see AdvancedOptions.png)
7. Quit LibreOffice
5. Launch LibreOffice

The program asks for the activation of the JRE (see ActivateJRE.png)

You have to answer yes six times to start LibreOffice (and the "use JRE" option is now checked). 
"No" or "Cancel" causes an infinite loop.

I do not understand the suggestion to use Windbg since the problem is the launch of the program (before you can attach the process) ?

I do *not* reproduce on windows 7/64 with:
Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

Version: 4.3.0.0.alpha0+
Build ID: ae8e579515fff84cbef1ccc2da78fa769fb079ec
TinderBox: Win-x86@39, Branch:master, Time: 2014-01-10_11:16:31

Regards
Pierre-Yves
Comment 25 pierre-yves samyn 2014-01-12 07:43:03 UTC
Created attachment 91889 [details]
Screenshot AdvancedOptions.png
Comment 26 pierre-yves samyn 2014-01-12 07:43:33 UTC
Created attachment 91890 [details]
Screenshot ActivateJRE.png
Comment 27 retired 2014-01-12 16:25:13 UTC
*** Bug 73489 has been marked as a duplicate of this bug. ***
Comment 28 bfoman (inactive) 2014-01-12 16:58:27 UTC
(In reply to comment #24)
> I do not understand the suggestion to use Windbg since the problem is the
> launch of the program (before you can attach the process) ?

You can execute LO by WinDbg directly.
Comment 29 V Stuart Foote 2014-01-12 18:52:33 UTC
Believe this relates to work done to integrate IAccessible2 as alternative to Java Access Bridge for assistive technology tools support.

In tweaking things, in the 4.2.0 builds, Java is set active to support Java Access Bridge by default, and the Tools --> Options --> Accessibility "Support assistive technology" is checked active.

Both the Accessibility support, and the Tools -> Options -> Advanced "Use a Java runtime environment" checkbox can be unchecked, if there are no remaining JRE based extensions. E.g. a default installation include the Java based extension for Calc - Non-linear Problem Solver.

On restart it will come up cleanly. Unfortunately to clear the multiple JRE required windows you have to kill the soffice.bin process tree (from Task manager) and then delete at least the "registrymodifications.xcu" from the user profile--or simply delete the user profile, and allow it to be rebuilt with default. 

Allow LibreOffice to launch once with defaults -- including activation of the JRE.
The open Tools --> Options --> Accessibility and uncheck "support assistive technology", and also Tools --> Options --> Advanced and uncheck "Use a Java runtime environment".  Exit from LibreOffice.  Launch again and should come up with no JRE support running.  JRE support can be checked active for support of any other extensions.
Comment 30 pierre-yves samyn 2014-01-13 09:45:31 UTC
(In reply to comment #29)
> Both the Accessibility support, and the Tools -> Options -> Advanced "Use a
> Java runtime environment" checkbox can be unchecked, if there are no
> remaining JRE based extensions. E.g. a default installation include the Java
> based extension for Calc - Non-linear Problem Solver.
> ...
> Allow LibreOffice to launch once with defaults -- including activation of
> the JRE.
> The open Tools --> Options --> Accessibility and uncheck "support assistive
> technology", and also Tools --> Options --> Advanced and uncheck "Use a Java
> runtime environment".  Exit from LibreOffice.  Launch again and should come
> up with no JRE support running.  JRE support can be checked active for
> support of any other extensions.

Sorry I do not reproduce or understand...

I said comment 24 
>I reproduced with a minimum install:
>- No optional component 
>- Only one dictionary installed (English or French dictionary)
>- No extension

Regards
Pierre-Yves
Comment 31 Stephan Bergmann 2014-01-13 10:16:47 UTC
(In reply to comment #24)
> I do not understand the suggestion to use Windbg since the problem is the
> launch of the program (before you can attach the process) ?

You should be able to attach WinDbg to the soffice.bin process once the "Enable JRE" dialog shows up.
Comment 32 pierre-yves samyn 2014-01-13 10:47:24 UTC
Hello Jean-Baptiste

(In reply to comment #31)
> You should be able to attach WinDbg to the soffice.bin process once the
> "Enable JRE" dialog shows up.

I found File> Open executable I had not seen so I no longer have this problem :)

I join the log (but there is no crash here...)

Regards
Pierre-Yves
Comment 33 pierre-yves samyn 2014-01-13 10:47:51 UTC
Created attachment 91942 [details]
Windbg_LoadJRE.txt
Comment 34 Stephan Bergmann 2014-01-13 11:36:25 UTC
attachment 91942 [details] is not a stack backtrace and thus does not give any useful information; what is needed is a stack backtrace (of the soffice.bin main thread) at the time the "Enable JRE" dialog is shown
Comment 35 V Stuart Foote 2014-01-13 16:05:52 UTC
Created attachment 91956 [details]
clip of Process Explorer when JRE error hangs

@Stephan,

See attached JRE_error72397_ProcessExplorer

JRE dependent crash initiated as I'd described on /A administrative install of
Version: 4.2.0.2
Build ID: cd65d6220c5694ee7012d7863bcde3455c9e3c30

It does come up cleanly with JRE enabled and JAB based AT by default when an AT (NVDA 2013.2 is active).  Unchecking the Tools -> Options -> Advanced "Use a Java runtime environment" and restarting, while AT is active, will cause the JRE required error. Believe that in correcting the JAB -- IAccessible2 auto-detection of active AT, we've left the JRE support always required when IA2 is not active by its "Enable experimental features" checkbox.

Any how here are the corresponding stack tracess of the crashed soffice.bin, let me know if you need any of the other threads:

soffice.bin process 1736
=-=-=
wow64win.dll+0x3fe3a
wow64win.dll+0x1aea8
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x32c4e
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64win.dll+0x3fe4a
wow64win.dll+0x1aefe
wow64win.dll+0x3281b
wow64win.dll+0x1b00a
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x3a2c5
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x676
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x32c4e
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64win.dll+0x3fe4a
wow64win.dll+0x1aefe
wow64win.dll+0x3281b
wow64win.dll+0x1b00a
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x3a2c5
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x676
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x32c4e
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64win.dll+0x3fe4a
wow64win.dll+0x1aefe
wow64win.dll+0x3281b
wow64win.dll+0x1b00a
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x3a2c5
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x676
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x32c4e
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64win.dll+0x3fe4a
wow64win.dll+0x1aefe
wow64win.dll+0x3281b
wow64win.dll+0x1b00a
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x3a2c5
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x676
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x32c4e
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64win.dll+0x3fe4a
wow64win.dll+0x1aefe
wow64win.dll+0x3281b
wow64win.dll+0x1b00a
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x3a2c5
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x676
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x32c4e
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64win.dll+0x3fe4a
wow64win.dll+0x1aefe
wow64win.dll+0x3281b
wow64win.dll+0x1b00a
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64KiUserCallbackDispatcher+0x204
wow64win.dll+0x3a2c5
ntdll.dll!KiUserCallbackDispatcher+0x1f
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x676
USER32.dll!DispatchMessageW+0x5c
vcllo.dll!?IsMaximized@WorkWindow@@QBEEXZ+0x9d92
vcllo.dll!?IsMaximized@WorkWindow@@QBEEXZ+0x9e60
vcllo.dll!?Execute@Application@@SAXXZ+0x97
vcllo.dll!?Execute@Dialog@@UAEFXZ+0xb0
svtlo.dll!?handle@JavaInteractionHandler@svt@@UAAXABV?$Reference@VXInteractionRequest@task@star@sun@com@@@uno@star@sun@com@@@Z+0xaee
sal3.dll!rtl_cache_alloc+0x13b
sal3.dll!rtl_cache_free+0xda8
sal3.dll!rtl_allocateMemory+0x86
sal3.dll!osl_incrementInterlockedCount+0xd
sal3.dll!osl_decrementInterlockedCount+0xd
cppu3.dll!typelib_typedescription_release+0x32
ntdll.dll!RtlFreeHeap+0x7e

sal3.dll process 6864
=-=-=
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x4a8
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64LdrpInitialize+0x42b
ntdll.dll!RtlIsDosDeviceName_U+0x23a27
ntdll.dll!LdrInitializeThunk+0xe
ntdll.dll!ZwWaitForSingleObject+0x15
kernel32.dll!WaitForSingleObjectEx+0x43
kernel32.dll!WaitForSingleObject+0x12
sal3.dll!rtl_cache_free+0x395
kernel32.dll!BaseThreadInitThunk+0x12
ntdll.dll!RtlInitializeExceptionChain+0x63
ntdll.dll!RtlInitializeExceptionChain+0x36

MSVCR100.dll process 6560
=-=-=
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0xf5
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64LdrpInitialize+0x42b
ntdll.dll!RtlIsDosDeviceName_U+0x23a27
ntdll.dll!LdrInitializeThunk+0xe
ntdll.dll!NtWaitForMultipleObjects+0x15
kernel32.dll!WaitForMultipleObjectsEx+0x8e
USER32.dll!PeekMessageW+0x2b0
USER32.dll!MsgWaitForMultipleObjects+0x1f
sal3.dll!osl_waitCondition+0x45
ntdll.dll!RtlImageNtHeader+0xb3f
sal3.dll!osl_unloadUserProfile+0x829
MSVCR100.dll!_endthreadex+0x3a
MSVCR100.dll!_endthreadex+0xe4
kernel32.dll!BaseThreadInitThunk+0x12
ntdll.dll!RtlInitializeExceptionChain+0x63
ntdll.dll!RtlInitializeExceptionChain+0x36

MSVCR100.dll process 5468
=-=-=
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x4a8
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64LdrpInitialize+0x42b
ntdll.dll!RtlIsDosDeviceName_U+0x23a27
ntdll.dll!LdrInitializeThunk+0xe
ntdll.dll!ZwWaitForSingleObject+0x15
KERNELBASE.dll!WaitForSingleObject+0x12
KERNELBASE.dll!GetOverlappedResult+0x57
sal3.dll!osl_acceptPipe+0x80
KERNELBASE.dll!RaiseException+0x58
sal3.dll!osl_unloadUserProfile+0x829
MSVCR100.dll!_endthreadex+0x3a
MSVCR100.dll!_endthreadex+0xe4
kernel32.dll!BaseThreadInitThunk+0x12
ntdll.dll!RtlInitializeExceptionChain+0x63
ntdll.dll!RtlInitializeExceptionChain+0x36
Comment 36 V Stuart Foote 2014-01-13 16:11:06 UTC
Some relevant comments in related bug 71946 and bug 72647
Comment 37 Akira Matsumiya 2014-01-15 11:27:05 UTC
(In reply to comment #20)
> would be great if somebody can provide a backtrace of the main thread
> displaying the "Enable JRE" dialog, see
> <https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#Windows:
> _How_to_get_a_backtrace>

I tried debugging on WinDbg.

Output data attached.
Does this data give useful information?
Comment 38 Akira Matsumiya 2014-01-15 11:30:38 UTC
Created attachment 92132 [details]
WinDbg output data

Windows 8.1 + LibreOffice 4.2.0.2 + noJRE
Comment 39 Stephan Bergmann 2014-01-15 12:47:37 UTC
> STACK_TEXT:
> 01c213b0 7087c006 28215423 00000000 01c22050 vcllo!Window::~Window+0xa02
> 01c213d8 70823eb9 282153fb 01c221cc 00000000 vcllo!SystemWindow::~SystemWindow+0x86
> 01c21400 707fa530 282153cb 70a9ef30 ffffffff vcllo!Dialog::~Dialog+0xc9
> 01c21430 720c2dc7 70a9ef30 ffffffff 01c21450 vcllo!ButtonDialog::~ButtonDialog+0xe0
> 01c21f9c 7085ca06 00000000 00000200 2821583f MSVCR100!_NLG_Return
> 01c21fc4 711fbf49 00000000 01c21fec 29d060c8 vcllo!ErrorBox::ErrorBox+0x46
> 01c22238 6d999c0c 09909850 01c22264 35d554f7 svtlo!svt::JavaInteractionHandler::handle+0xc19
> 01c2227c 6d99c5f9 01c222c4 01c222c4 01c2230c javavmlo!`anonymous namespace'::askForRetry+0x16c
> 01c223ac 6d9d3f70 04a88158 01c2247c 01c224ac javavmlo!stoc_javavm::JavaVirtualMachine::getJavaVM+0xc19
> 01c224e4 6d9d4b48 04b1d490 35d0a567 0497a5c0 javaloaderlo!stoc_javaloader::JavaComponentLoader::getJavaLoader+0x120
> 01c22518 71c5f1cb 04b1d4a4 01c22574 04842dd0 javaloaderlo!stoc_javaloader::JavaComponentLoader::activate+0x38
> 01c225b4 71c64416 00cfb648 01c22758 0483fe58 cppuhelper3MSC!cppuhelper::ServiceManager::loadImplementation+0x3ab
> 01c2260c 71c5fb97 01c2263c 01c226d4 2973ab6b cppuhelper3MSC!cppuhelper::ServiceManager::findServiceImplementation+0x176
> 01c22664 70571e55 00cfb678 01c226c4 01c226d4 cppuhelper3MSC!cppuhelper::ServiceManager::createInstanceWithArgumentsAndContext+0x47
> 01c226ec 7056d6a4 01c2273c 01c22758 01c2274c vcllo!com::sun::star::accessibility::AccessBridge::createWithToolkit+0xe5
> 01c22770 708f6dcb 00000000 01c2279b 28216053 vcllo!ImplInitAccessBridge+0x2b4
> 01c227a8 708f792c 0007042c fffffff4 00000000 vcllo!ImplHandleGetObject+0x9b
> 01c22804 708f81d9 0000003d 00000000 01c2282c vcllo!SalFrameWndProc+0x51c
> 01c2284c 775d7694 0007042c 0000003d 00000000 vcllo!SalFrameWndProcW+0x59
> 01c22878 775d95ab 708f8180 0007042c 0000003d USER32!_InternalCallWinProc+0x23
> 01c22908 775d8d56 708f8180 00000000 0000003d USER32!UserCallWinProcCheckWow+0x23c
> 01c22968 775d8ee9 01c84dc0 00000000 0000003d USER32!DispatchClientMessage+0xdc
> 01c229a0 77a3dd92 01c229b8 00000000 01c22d88 USER32!__fnDWORD+0x36
from attachment 92132 [details]:
> 01c229b4 01c84dc0 00000000 0000003d 00000000 ntdll!KiUserCallbackDispatcher+0x2e
> WARNING: Frame IP not in any known module. Following frames may be wrong.
> 01c22a1c 6d9f2d2f 0007042c 0000003d 00000000 0x1c84dc0
> 01c22a50 6d9f42c9 0000003d 00000000 fffffff4 oleacc!SendMessageTimeoutHelper+0x3d
> 01c22cb8 6d9f1ecd 6d9f1000 01c22cd4 fffffffc oleacc!CreateStdAccessibleObject+0x1a7
> 01c22cfc 6d9f1e2e 00000000 01c22d84 01c22d5c oleacc!AccessibleObjectFromEvent+0x96
> 01c22d10 75356d53 0007042c fffffffc 00000000 oleacc!EXTERNAL_AccessibleObjectFromEvent+0x22
> 01c22d94 75356fe7 00000000 01c22daf 775d98a0 tiptsf!CARET::UpdateMSAAEditFieldState+0x75
> 01c22dc8 75353fe4 00000000 2d8ce486 01c84dc0 tiptsf!CARET::UpdateEditFieldState+0x2d
> 01c232c0 75351ba5 00008005 fffffffc 00000000 tiptsf!CARET::_ProcessCaretEvents+0x797
> 01c23318 775d9f7f 00090193 00008005 0007042c tiptsf!CARET::ProcessCaretEvents+0x71
> 01c23358 77a3dd92 01c23370 00000000 01c23468 USER32!__ClientCallWinEventProc+0x2e
> 01c2336c 75351b33 00090193 00008005 0007042c ntdll!KiUserCallbackDispatcher+0x2e
> 01c2385c 00000000 00000000 00000000 00000000 tiptsf!CARET::_ProcessCaretEvents+0x2a1

...and ImplHandleGetObject (vcl/win/source/window/salframe.cxx) indeed starts with

> // IA2 should be enabled automatically
> AllSettings aSettings = Application::GetSettings();
> MiscSettings aMisc = aSettings.GetMiscSettings();
> aMisc.SetEnableATToolSupport( sal_True );
> aSettings.SetMiscSettings( aMisc );
> Application::SetSettings( aSettings );

and all that code was added with <http://cgit.freedesktop.org/libreoffice/core/commit/?id=448727e598ca0c35ee9cd6f2c25a847c8147943b> "uia: merge VCL pieces of IAccessible2 work."

@mstahl: any insight?
Comment 40 Stephan Bergmann 2014-01-15 12:51:24 UTC
[comment 39 is garbled somewhat, the line

  from attachment 92132 [details]:

is supposed to precede the line

  > STACK_TEXT:

at the top]
Comment 41 Michael Stahl 2014-01-15 13:59:32 UTC
(In reply to comment #39)
> ...and ImplHandleGetObject (vcl/win/source/window/salframe.cxx) indeed
> starts with
> 
> > // IA2 should be enabled automatically
> > AllSettings aSettings = Application::GetSettings();
> > MiscSettings aMisc = aSettings.GetMiscSettings();
> > aMisc.SetEnableATToolSupport( sal_True );
> > aSettings.SetMiscSettings( aMisc );
> > Application::SetSettings( aSettings );
> 
> and all that code was added with
> <http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=448727e598ca0c35ee9cd6f2c25a847c8147943b> "uia: merge VCL pieces of
> IAccessible2 work."
> 
> @mstahl: any insight?

that Win32 message handler modifies the settings? i wasn't aware,
i thought it only read the settings :)

well we can't do that on 4.2 branch with IA2 as experimental-only
because then we get this ugly bug.

not sure if it makes sense to do this on master - is WM_GETOBJECT
only used by MSAA/IA2 clients or something else like plain OLE too?

hmm MSDN indicates it is A11y only:

http://msdn.microsoft.com/en-us/library/windows/desktop/dd373892%28v=vs.85%29.aspx
Comment 42 Michael Stahl 2014-01-15 14:09:41 UTC
https://gerrit.libreoffice.org/#/c/7443

is a completely untested but plausible fix for this
Comment 43 Commit Notification 2014-01-16 15:38:06 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bbaa97a79a72391aaa3dda1a55d92938ab3ea466&h=libreoffice-4-2

fdo#72397: vcl: do not enable A11y in Win32 message handler


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 44 Michael Stahl 2014-01-16 15:44:10 UTC
possible fix in the 4.2 branch now, please test the next daily build if it's really fixed
Comment 45 Teo91 2014-01-17 10:08:17 UTC
Tested on today daily-build + Win8.1 without JRE: the bug is no more.
Comment 46 retired 2014-01-17 10:44:19 UTC
NoRepro:4.3.0.0a0+:Win8

Version: 4.3.0.0.alpha0+
Build ID: 99159a618fd1ea90a2bc8a72621c88a4cf26e6f5
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-01-17_06:46:31

So fix confirmed. Thanks a lot Michael for looking into this pretty annoying bug.

Setting to Verified | Fixed
Comment 47 V Stuart Foote 2014-01-17 15:37:43 UTC
This is not yet correct.

Windows 7 sp1 64-bit with NVDA (2013.2) AT active and
Version: 4.2.1.0.0+
Build ID: d77f6160afc213cd1cb8c658ece4e074f4e60bce
TinderBox: Win-x86@42, Branch:libreoffice-4-2, Time: 2014-01-17_02:12:39

This issue has never affected builds of master (4.3.0.0.alpha0+)

On todays TB 42 build of LODev 4.2.1.0.0+, with http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-2-0&id=bbaa97a79a72391aaa3dda1a55d92938ab3ea466 applied.

Accessibility 'Support assistive technology tools' is no longer enabled by default (the purpose of Steve Y.s commit http://svn.apache.org/viewvc?view=revision&revision=1541823 to address AOO i123643 during IA2 integration when AOO had removed the JAB support already) which Michael S. reverted above.

Enabling AT tool support is again a manual action, either for JAB or for IAccessible2. Not the best UX for users needing the AT.

Problem now is that if we enable the experimental IA2 support (Accessibility options enable AT support and the  Advanced options with experimental features) and later simply uncheck the experimental features, the AT reverts to JAB and we have the error.

Admittedly now a manual action, but we can still cause the JRE required issue as follows:

1. AT (NVDA) active

2. fresh install (/A admin or full) of LODev 4.2.1

3. launch LODev 4.2.1

4. enable IAccessible2 support Tools -> Options -> Advanced: "enable experimental features"  and also enable Tools -> Options -> Accessibility: "enable assitive technology tools support"

5. restart LODev 4.2.1

6. Tools -> Options -> Advanced: uncheck "enable experimental features"
Thus far the Java Access Bridge AT has not been invoked so the "Use a Java runtime environment" is not enabled when the experimental features was checked. 

This leaves "enable assitive technology tools support" remains checked (and EnableATToolSupport is true in the users registrymodifications.xcu).

8. restart LODev 4.2.1 -- JRE required error will occur. 

Only way to recover is to delete the per-user settings, and start again. And if no JRE is installed, the error will always occur when toggling off the IA2 support of experimental feature without also unchecking the enable AT support.
Comment 48 V Stuart Foote 2014-01-17 16:56:58 UTC
OK, I'm splitting hairs leaving this issue open. It is functional for the 4.2.0 builds.

However, we do need to be certain to add release notes:

1) Regards activating the IAccessible2 native bridge as an experimental feature. 

2) That the Windows installer check-box 'Support assistive technology tools' will activate the Java Access Bridge based AT and that a JRE with JAB enabled is required (as has been the case).

3) That while the IAccessible2 native AT support does not require JRE support. But that toggling it off will revert to JAB based support that does require JRE with JAB enabled.

For builds of master--this is a non-issue as the JAB based bridge requiring JRE support has been removed, and the bridges for AT support are always activated. Of course that will need to be explained as well.
Comment 49 Commit Notification 2014-01-20 13:37:32 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=145a4c58b51d3e9e6b5914b65ad9a73247ae7061&h=libreoffice-4-2-0

fdo#72397: vcl: do not enable A11y in Win32 message handler


It will be available already in LibreOffice 4.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 50 pierre-yves samyn 2014-01-24 09:52:04 UTC
Hello

Verified on windows 7/64 with Version: 4.2.0.3
Build ID: c63c03decdf780d8fb80823950665b782ec9ecd0

No more error message on startup if "Support assistive technology tools" & "Use JRE" unchecked

Thank you

Regards
Pierre-Yves